package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * DeviceTelephoneNumber
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DeviceTelephoneNumber   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("bindNumberList")
  @Valid
  private List<TelephoneNumberWithStatusOpenApiVo> bindNumberList = null;

  public DeviceTelephoneNumber id(String id) {
    this.id = id;
    return this;
  }

  /**
   * The ID of voip device.
   * @return id
  */
  @ApiModelProperty(value = "The ID of voip device.")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public DeviceTelephoneNumber mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * The mac of voip device.
   * @return mac
  */
  @ApiModelProperty(value = "The mac of voip device.")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public DeviceTelephoneNumber bindNumberList(List<TelephoneNumberWithStatusOpenApiVo> bindNumberList) {
    this.bindNumberList = bindNumberList;
    return this;
  }

  public DeviceTelephoneNumber addBindNumberListItem(TelephoneNumberWithStatusOpenApiVo bindNumberListItem) {
    if (this.bindNumberList == null) {
      this.bindNumberList = new ArrayList<>();
    }
    this.bindNumberList.add(bindNumberListItem);
    return this;
  }

  /**
   * The list of telephone number.
   * @return bindNumberList
  */
  @ApiModelProperty(value = "The list of telephone number.")

  @Valid

  public List<TelephoneNumberWithStatusOpenApiVo> getBindNumberList() {
    return bindNumberList;
  }

  public void setBindNumberList(List<TelephoneNumberWithStatusOpenApiVo> bindNumberList) {
    this.bindNumberList = bindNumberList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceTelephoneNumber deviceTelephoneNumber = (DeviceTelephoneNumber) o;
    return Objects.equals(this.id, deviceTelephoneNumber.id) &&
        Objects.equals(this.mac, deviceTelephoneNumber.mac) &&
        Objects.equals(this.bindNumberList, deviceTelephoneNumber.bindNumberList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, mac, bindNumberList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceTelephoneNumber {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    bindNumberList: ").append(toIndentedString(bindNumberList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

